package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 返利类型         实体类
 * 2017年3月9日
 * @author muzx
 *
 */
public class RebateType implements Serializable{

    private static final long serialVersionUID = -1784867482537034558L;
    private Integer rebateId;               //id
    private String rebateName;              //模式名称
    private Integer rebateTypeId;           //租用方式
    private Integer rebateLevel;            //层次
    private Integer rebateMoney;            //返利金额
    
    private Integer rebateReplaceMoney;        //押金提取券金额
    private Integer rebateDeductionMoney;      //服务费抵扣券金额
    private Integer rebateIdentify;         //标识
    private Integer rebateStatus;           //状态
    private Date rebateCreateTime;          //创建时间
    
    public Integer getRebateId() {
        return rebateId;
    }
    public void setRebateId(Integer rebateId) {
        this.rebateId = rebateId;
    }
    public String getRebateName() {
        return rebateName;
    }
    public void setRebateName(String rebateName) {
        this.rebateName = rebateName;
    }
    public Integer getRebateTypeId() {
        return rebateTypeId;
    }
    public void setRebateTypeId(Integer rebateTypeId) {
        this.rebateTypeId = rebateTypeId;
    }
    public Integer getRebateLevel() {
        return rebateLevel;
    }
    public void setRebateLevel(Integer rebateLevel) {
        this.rebateLevel = rebateLevel;
    }
    public Integer getRebateMoney() {
        return rebateMoney;
    }
    public void setRebateMoney(Integer rebateMoney) {
        this.rebateMoney = rebateMoney;
    }
    public Integer getRebateReplaceMoney() {
		return rebateReplaceMoney;
	}
	public void setRebateReplaceMoney(Integer rebateReplaceMoney) {
		this.rebateReplaceMoney = rebateReplaceMoney;
	}
	public Integer getRebateDeductionMoney() {
		return rebateDeductionMoney;
	}
	public void setRebateDeductionMoney(Integer rebateDeductionMoney) {
		this.rebateDeductionMoney = rebateDeductionMoney;
	}
	public Integer getRebateIdentify() {
        return rebateIdentify;
    }
    public void setRebateIdentify(Integer rebateIdentify) {
        this.rebateIdentify = rebateIdentify;
    }
    public Integer getRebateStatus() {
        return rebateStatus;
    }
    public void setRebateStatus(Integer rebateStatus) {
        this.rebateStatus = rebateStatus;
    }
    public Date getRebateCreateTime() {
        return rebateCreateTime;
    }
    public void setRebateCreateTime(Date rebateCreateTime) {
        this.rebateCreateTime = rebateCreateTime;
    }
	@Override
	public String toString() {
		return "RebateType [rebateId=" + rebateId + ", rebateName="
				+ rebateName + ", rebateTypeId=" + rebateTypeId
				+ ", rebateLevel=" + rebateLevel + ", rebateMoney="
				+ rebateMoney + ", rebateReplaceMoney=" + rebateReplaceMoney
				+ ", rebateDeductionMoney=" + rebateDeductionMoney
				+ ", rebateIdentify=" + rebateIdentify + ", rebateStatus="
				+ rebateStatus + ", rebateCreateTime=" + rebateCreateTime + "]";
	}
    
}
